Bug 200096 - Unable to tap/double tap to open files/folders in Google Drive in Safari
Summary: Unable to tap/double tap to open files/folders in Google Drive in Safari
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zalan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-07-24 14:40 PDT by zalan
Modified: 2019-07-26 11:22 PDT (History)
8 users (show)

See Also:


Attachments
Patch (28.37 KB, patch)
2019-07-24 15:02 PDT, zalan
no flags Details | Formatted Diff | Diff
Patch (30.35 KB, patch)
2019-07-25 20:10 PDT, zalan
no flags Details | Formatted Diff | Diff
Patch (31.78 KB, patch)
2019-07-25 21:17 PDT, zalan
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews107 for mac-highsierra-wk2 (3.87 MB, application/zip)
2019-07-26 00:07 PDT, Build Bot
no flags Details
Patch (31.95 KB, patch)
2019-07-26 08:24 PDT, zalan
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews107 for mac-highsierra-wk2 (2.80 MB, application/zip)
2019-07-26 09:41 PDT, Build Bot
no flags Details
Patch (35.00 KB, patch)
2019-07-26 09:44 PDT, zalan
no flags Details | Formatted Diff | Diff
Patch (35.04 KB, patch)
2019-07-26 10:52 PDT, zalan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zalan 2019-07-24 14:40:08 PDT
<rdar://problem/52748552>
Comment 1 zalan 2019-07-24 15:02:05 PDT
Created attachment 374816 [details]
Patch
Comment 2 WebKit Commit Bot 2019-07-24 21:50:16 PDT
Comment on attachment 374816 [details]
Patch

Clearing flags on attachment: 374816

Committed r247817: <https://trac.webkit.org/changeset/247817>
Comment 3 WebKit Commit Bot 2019-07-24 21:50:18 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Truitt Savell 2019-07-25 08:29:02 PDT
It looks like this change broke 14 http/tests/paymentrequest/ tests.

It looks like EWS caught this as well. 

Results page:
https://build.webkit.org/results/Apple%20iOS%2012%20Simulator%20Release%20WK2%20(Tests)/r247819%20(5376)/results.html

Can this be easily resolved? Otherwise I am going to roll this out shortly.
Comment 5 zalan 2019-07-25 08:30:40 PDT
(In reply to Truitt Savell from comment #4)
> It looks like this change broke 14 http/tests/paymentrequest/ tests.
> 
> It looks like EWS caught this as well. 
> 
> Results page:
> https://build.webkit.org/results/
> Apple%20iOS%2012%20Simulator%20Release%20WK2%20(Tests)/r247819%20(5376)/
> results.html
> 
> Can this be easily resolved? Otherwise I am going to roll this out shortly.
No idea why payment requests would fail due to double taps. Roll it out, please.
Comment 6 Truitt Savell 2019-07-25 08:35:21 PDT
Reverted r247817 for reason:

Broke 14 http/tests/paymentrequest/ tests. on iOS

Committed r247820: <https://trac.webkit.org/changeset/247820>
Comment 7 zalan 2019-07-25 20:10:27 PDT
Created attachment 374935 [details]
Patch
Comment 8 zalan 2019-07-25 21:17:34 PDT
Created attachment 374937 [details]
Patch
Comment 9 zalan 2019-07-25 21:25:18 PDT
(In reply to zalan from comment #5)
> (In reply to Truitt Savell from comment #4)
> > It looks like this change broke 14 http/tests/paymentrequest/ tests.
> > 
> > It looks like EWS caught this as well. 
> > 
> > Results page:
> > https://build.webkit.org/results/
> > Apple%20iOS%2012%20Simulator%20Release%20WK2%20(Tests)/r247819%20(5376)/
> > results.html
> > 
> > Can this be easily resolved? Otherwise I am going to roll this out shortly.
> No idea why payment requests would fail due to double taps. Roll it out,
> please.
The payment tests trigger clicks on elements at speed like there's no tomorrow -> trigger double tap gesture.
Comment 10 Build Bot 2019-07-26 00:07:07 PDT
Comment on attachment 374937 [details]
Patch

Attachment 374937 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/12813287

New failing tests:
http/tests/paymentrequest/payment-request-change-shipping-address.https.html
http/tests/paymentrequest/payment-response-payerPhone-attribute.https.html
http/tests/paymentrequest/updateWith-method-pmi-handling.https.html
http/tests/paymentrequest/payment-response-complete-method.https.html
http/tests/paymentrequest/payment-response-payerEmail-attribute.https.html
http/tests/ssl/applepay/ApplePayPaymentDetailsModifier.https.html
http/tests/ssl/applepay/ApplePayShippingAddressChangeEventErrorsV3.https.html
http/tests/paymentrequest/payment-request-abort-method.https.html
http/tests/paymentrequest/payment-response-payerName-attribute.https.html
http/tests/paymentrequest/payment-response-reference-cycle-leak.https.html
http/tests/paymentrequest/payment-address-attributes-and-toJSON-method.https.html
http/tests/paymentrequest/payment-request-change-shipping-option.https.html
http/tests/paymentrequest/payment-response-methodName-attribute.https.html
http/tests/paymentrequest/payment-response-retry-method.https.html
http/tests/ssl/applepay/ApplePayRequestShippingContactV3.https.html
http/tests/paymentrequest/payment-request-show-method.https.html
http/tests/paymentrequest/payment-is-showing.https.html
http/tests/adClickAttribution/anchor-tag-attributes-validation.html
http/tests/ssl/applepay/PaymentRequest.https.html
http/tests/paymentrequest/payment-request-canmakepayment-method.https.html
http/tests/paymentrequest/payment-request-merchant-validation.https.html
http/tests/ssl/applepay/ApplePayRequestShippingContact.https.html
http/tests/paymentrequest/rejects_if_not_active.https.html
http/tests/ssl/applepay/ApplePaySessionFinalState.https.html
http/tests/paymentrequest/payment-response-rejects-if-not-active.https.html
http/tests/ssl/applepay/ApplePayPaymentMethodChangeEvent.https.html
http/tests/ssl/applepay/ApplePayShippingAddressChangeEventErrors.https.html
Comment 11 Build Bot 2019-07-26 00:07:09 PDT
Created attachment 374946 [details]
Archive of layout-test-results from ews107 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 12 zalan 2019-07-26 08:24:12 PDT
Created attachment 374963 [details]
Patch
Comment 13 zalan 2019-07-26 08:28:33 PDT
(In reply to Build Bot from comment #10)
> Comment on attachment 374937 [details]
> Patch
> 
> Attachment 374937 [details] did not pass mac-wk2-ews (mac-wk2):
> Output: https://webkit-queues.webkit.org/results/12813287
> 
> New failing tests:
> http/tests/paymentrequest/payment-request-change-shipping-address.https.html
> http/tests/paymentrequest/payment-response-payerPhone-attribute.https.html
> http/tests/paymentrequest/updateWith-method-pmi-handling.https.html
> http/tests/paymentrequest/payment-response-complete-method.https.html
> http/tests/paymentrequest/payment-response-payerEmail-attribute.https.html
> http/tests/ssl/applepay/ApplePayPaymentDetailsModifier.https.html
> http/tests/ssl/applepay/ApplePayShippingAddressChangeEventErrorsV3.https.html
> http/tests/paymentrequest/payment-request-abort-method.https.html
> http/tests/paymentrequest/payment-response-payerName-attribute.https.html
> http/tests/paymentrequest/payment-response-reference-cycle-leak.https.html
> http/tests/paymentrequest/payment-address-attributes-and-toJSON-method.https.
> html
> http/tests/paymentrequest/payment-request-change-shipping-option.https.html
> http/tests/paymentrequest/payment-response-methodName-attribute.https.html
> http/tests/paymentrequest/payment-response-retry-method.https.html
> http/tests/ssl/applepay/ApplePayRequestShippingContactV3.https.html
> http/tests/paymentrequest/payment-request-show-method.https.html
> http/tests/paymentrequest/payment-is-showing.https.html
> http/tests/adClickAttribution/anchor-tag-attributes-validation.html
> http/tests/ssl/applepay/PaymentRequest.https.html
> http/tests/paymentrequest/payment-request-canmakepayment-method.https.html
> http/tests/paymentrequest/payment-request-merchant-validation.https.html
> http/tests/ssl/applepay/ApplePayRequestShippingContact.https.html
> http/tests/paymentrequest/rejects_if_not_active.https.html
> http/tests/ssl/applepay/ApplePaySessionFinalState.https.html
> http/tests/paymentrequest/payment-response-rejects-if-not-active.https.html
> http/tests/ssl/applepay/ApplePayPaymentMethodChangeEvent.https.html
> http/tests/ssl/applepay/ApplePayShippingAddressChangeEventErrors.https.html

guess I need to add the non-iOS version of (not exactly)activateElementAtHumanSpeed
Comment 14 Build Bot 2019-07-26 09:41:19 PDT
Comment on attachment 374963 [details]
Patch

Attachment 374963 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/12816066

New failing tests:
http/tests/adClickAttribution/anchor-tag-attributes-validation.html
Comment 15 Build Bot 2019-07-26 09:41:21 PDT
Created attachment 374968 [details]
Archive of layout-test-results from ews107 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 16 zalan 2019-07-26 09:43:33 PDT
(In reply to Build Bot from comment #14)
> Comment on attachment 374963 [details]
> Patch
> 
> Attachment 374963 [details] did not pass mac-wk2-ews (mac-wk2):
> Output: https://webkit-queues.webkit.org/results/12816066
> 
> New failing tests:
> http/tests/adClickAttribution/anchor-tag-attributes-validation.html
-CONSOLE MESSAGE: line 165: adcampaignid must have a non-negative value less than or equal to 63 for Ad Click Attribution.
-CONSOLE MESSAGE: line 165: adcampaignid must have a non-negative value less than or equal to 63 for Ad Click Attribution.
-CONSOLE MESSAGE: line 165: adcampaignid can not be converted to a non-negative integer which is required for Ad Click Attribution.
-CONSOLE MESSAGE: line 165: adcampaignid can not be converted to a non-negative integer which is required for Ad Click Attribution.
-CONSOLE MESSAGE: line 165: adcampaignid can not be converted to a non-negative integer which is required for Ad Click Attribution.
-CONSOLE MESSAGE: line 165: addestination could not be converted to a valid HTTP-family URL.
-CONSOLE MESSAGE: line 165: addestination could not be converted to a valid HTTP-family URL.
-CONSOLE MESSAGE: line 165: addestination could not be converted to a valid HTTP-family URL.
-CONSOLE MESSAGE: line 165: Both adcampaignid and addestination need to be set for Ad Click Attribution to work.
-CONSOLE MESSAGE: line 165: Both adcampaignid and addestination need to be set for Ad Click Attribution to work.
-CONSOLE MESSAGE: line 165: addestination can not be the same site as the current website.
+CONSOLE MESSAGE: line 192: adcampaignid must have a non-negative value less than or equal to 63 for Ad Click Attribution.
+CONSOLE MESSAGE: line 192: adcampaignid must have a non-negative value less than or equal to 63 for Ad Click Attribution.
+CONSOLE MESSAGE: line 192: adcampaignid can not be converted to a non-negative integer which is required for Ad Click Attribution.
+CONSOLE MESSAGE: line 192: adcampaignid can not be converted to a non-negative integer which is required for Ad Click Attribution.
+CONSOLE MESSAGE: line 192: adcampaignid can not be converted to a non-negative integer which is required for Ad Click Attribution.
+CONSOLE MESSAGE: line 192: addestination could not be converted to a valid HTTP-family URL.
+CONSOLE MESSAGE: line 192: addestination could not be converted to a valid HTTP-family URL.
+CONSOLE MESSAGE: line 192: addestination could not be converted to a valid HTTP-family URL.
+CONSOLE MESSAGE: line 192: Both adcampaignid and addestination need to be set for Ad Click Attribution to work.
+CONSOLE MESSAGE: line 192: Both adcampaignid and addestination need to be set for Ad Click Attribution to work.
+CONSOLE MESSAGE: line 192: addestination can not be the same site as the current website.

SRSLY?
Comment 17 zalan 2019-07-26 09:44:27 PDT
Created attachment 374969 [details]
Patch
Comment 18 WebKit Commit Bot 2019-07-26 10:49:06 PDT
Comment on attachment 374969 [details]
Patch

Rejecting attachment 374969 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03', 'validate-changelog', '--check-oops', '--non-interactive', 374969, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

/Volumes/Data/EWS/WebKit/LayoutTests/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: https://webkit-queues.webkit.org/results/12816465
Comment 19 zalan 2019-07-26 10:52:30 PDT
Created attachment 374972 [details]
Patch
Comment 20 WebKit Commit Bot 2019-07-26 11:22:12 PDT
Comment on attachment 374972 [details]
Patch

Clearing flags on attachment: 374972

Committed r247866: <https://trac.webkit.org/changeset/247866>
Comment 21 WebKit Commit Bot 2019-07-26 11:22:14 PDT
All reviewed patches have been landed.  Closing bug.